#
# spec file for package python-cfgv
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-cfgv
Version:        3.1.0
Release:        bp154.1.22
Summary:        Configuration validator producing human readable error messages
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/asottile/cfgv
Source:         https://github.com/asottile/cfgv/archive/v%{version}.tar.gz#/cfgv-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
A configuration validator for Python that produce human readable error messages.

%prep
%setup -q -n cfgv-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Mar 30 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to version 3.1.0
  * cfgv: python3.6+
* Fri Jul 26 2019 pgajdos@suse.com
- update to version 2.0.1
  * no upstream changelog
* Sat Apr  6 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase.
* Thu Apr  4 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.6.0
